// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from etsi_its_denm_msgs:msg/LanePosition.idl
// generated code does not contain a copyright notice

#ifndef ETSI_ITS_DENM_MSGS__MSG__DETAIL__LANE_POSITION__STRUCT_H_
#define ETSI_ITS_DENM_MSGS__MSG__DETAIL__LANE_POSITION__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>


// Constants defined in the message

/// Constant 'MIN'.
enum
{
  etsi_its_denm_msgs__msg__LanePosition__MIN = -1
};

/// Constant 'MAX'.
enum
{
  etsi_its_denm_msgs__msg__LanePosition__MAX = 14
};

/// Constant 'OFF_THE_ROAD'.
enum
{
  etsi_its_denm_msgs__msg__LanePosition__OFF_THE_ROAD = -1
};

/// Constant 'HARD_SHOULDER'.
enum
{
  etsi_its_denm_msgs__msg__LanePosition__HARD_SHOULDER = 0
};

/// Constant 'OUTERMOST_DRIVING_LANE'.
enum
{
  etsi_its_denm_msgs__msg__LanePosition__OUTERMOST_DRIVING_LANE = 1
};

/// Constant 'SECOND_LANE_FROM_OUTSIDE'.
enum
{
  etsi_its_denm_msgs__msg__LanePosition__SECOND_LANE_FROM_OUTSIDE = 2
};

/// Struct defined in msg/LanePosition in the package etsi_its_denm_msgs.
/**
  * ==============================================================================
  * MIT License
  *
  * Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
  *
  * Permission is hereby granted, free of charge, to any person obtaining a copy
  * of this software and associated documentation files (the "Software"), to deal
  * in the Software without restriction, including without limitation the rights
  * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
  * copies of the Software, and to permit persons to whom the Software is
  * furnished to do so, subject to the following conditions:
  *
  * The above copyright notice and this permission notice shall be included in all
  * copies or substantial portions of the Software.
  *
  * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
  * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
  * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
  * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
  * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
  * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
  * SOFTWARE.
  * ==============================================================================
 */
typedef struct etsi_its_denm_msgs__msg__LanePosition
{
  /// --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
  /// python3
  ///   utils/codegen/codegen-py/asn1ToRosMsg.py
  ///   asn1/raw/denm_en302637_3/DENM-PDU-Descriptions.asn
  ///   asn1/raw/denm_en302637_3/cdd/ITS-Container.asn
  ///   -t
  ///   denm
  ///   -o
  ///   etsi_its_msgs/etsi_its_denm_msgs/msg
  /// ------------------------------------------------------------------------------
  /// --- ASN.1 Definition ---------------------------------------------------------
  /// LanePosition::= INTEGER {offTheRoad(-1), hardShoulder(0),
  /// outermostDrivingLane(1), secondLaneFromOutside(2)} (-1..14)
  /// ------------------------------------------------------------------------------
  int8_t value;
} etsi_its_denm_msgs__msg__LanePosition;

// Struct for a sequence of etsi_its_denm_msgs__msg__LanePosition.
typedef struct etsi_its_denm_msgs__msg__LanePosition__Sequence
{
  etsi_its_denm_msgs__msg__LanePosition * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} etsi_its_denm_msgs__msg__LanePosition__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // ETSI_ITS_DENM_MSGS__MSG__DETAIL__LANE_POSITION__STRUCT_H_
