// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from etsi_its_denm_msgs:msg/RelevanceDistance.idl
// generated code does not contain a copyright notice

#ifndef ETSI_ITS_DENM_MSGS__MSG__DETAIL__RELEVANCE_DISTANCE__STRUCT_H_
#define ETSI_ITS_DENM_MSGS__MSG__DETAIL__RELEVANCE_DISTANCE__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>


// Constants defined in the message

/// Constant 'LESS_THAN50M'.
enum
{
  etsi_its_denm_msgs__msg__RelevanceDistance__LESS_THAN50M = 0
};

/// Constant 'LESS_THAN100M'.
enum
{
  etsi_its_denm_msgs__msg__RelevanceDistance__LESS_THAN100M = 1
};

/// Constant 'LESS_THAN200M'.
enum
{
  etsi_its_denm_msgs__msg__RelevanceDistance__LESS_THAN200M = 2
};

/// Constant 'LESS_THAN500M'.
enum
{
  etsi_its_denm_msgs__msg__RelevanceDistance__LESS_THAN500M = 3
};

/// Constant 'LESS_THAN1000M'.
enum
{
  etsi_its_denm_msgs__msg__RelevanceDistance__LESS_THAN1000M = 4
};

/// Constant 'LESS_THAN5KM'.
enum
{
  etsi_its_denm_msgs__msg__RelevanceDistance__LESS_THAN5KM = 5
};

/// Constant 'LESS_THAN10KM'.
enum
{
  etsi_its_denm_msgs__msg__RelevanceDistance__LESS_THAN10KM = 6
};

/// Constant 'OVER10KM'.
enum
{
  etsi_its_denm_msgs__msg__RelevanceDistance__OVER10KM = 7
};

/// Struct defined in msg/RelevanceDistance in the package etsi_its_denm_msgs.
/**
  * ==============================================================================
  * MIT License
  *
  * Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
  *
  * Permission is hereby granted, free of charge, to any person obtaining a copy
  * of this software and associated documentation files (the "Software"), to deal
  * in the Software without restriction, including without limitation the rights
  * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
  * copies of the Software, and to permit persons to whom the Software is
  * furnished to do so, subject to the following conditions:
  *
  * The above copyright notice and this permission notice shall be included in all
  * copies or substantial portions of the Software.
  *
  * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
  * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
  * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
  * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
  * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
  * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
  * SOFTWARE.
  * ==============================================================================
 */
typedef struct etsi_its_denm_msgs__msg__RelevanceDistance
{
  /// --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
  /// python3
  ///   utils/codegen/codegen-py/asn1ToRosMsg.py
  ///   asn1/raw/denm_en302637_3/DENM-PDU-Descriptions.asn
  ///   asn1/raw/denm_en302637_3/cdd/ITS-Container.asn
  ///   -t
  ///   denm
  ///   -o
  ///   etsi_its_msgs/etsi_its_denm_msgs/msg
  /// ------------------------------------------------------------------------------
  /// --- ASN.1 Definition ---------------------------------------------------------
  /// RelevanceDistance ::= ENUMERATED {lessThan50m(0), lessThan100m(1), lessThan200m(2), lessThan500m(3), lessThan1000m(4), lessThan5km(5), lessThan10km(6), over10km(7)}
  /// ------------------------------------------------------------------------------
  uint8_t value;
} etsi_its_denm_msgs__msg__RelevanceDistance;

// Struct for a sequence of etsi_its_denm_msgs__msg__RelevanceDistance.
typedef struct etsi_its_denm_msgs__msg__RelevanceDistance__Sequence
{
  etsi_its_denm_msgs__msg__RelevanceDistance * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} etsi_its_denm_msgs__msg__RelevanceDistance__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // ETSI_ITS_DENM_MSGS__MSG__DETAIL__RELEVANCE_DISTANCE__STRUCT_H_
