// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from etsi_its_denm_msgs:msg/StationarySince.idl
// generated code does not contain a copyright notice

#ifndef ETSI_ITS_DENM_MSGS__MSG__DETAIL__STATIONARY_SINCE__STRUCT_H_
#define ETSI_ITS_DENM_MSGS__MSG__DETAIL__STATIONARY_SINCE__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>


// Constants defined in the message

/// Constant 'LESS_THAN1_MINUTE'.
enum
{
  etsi_its_denm_msgs__msg__StationarySince__LESS_THAN1_MINUTE = 0
};

/// Constant 'LESS_THAN2_MINUTES'.
enum
{
  etsi_its_denm_msgs__msg__StationarySince__LESS_THAN2_MINUTES = 1
};

/// Constant 'LESS_THAN15_MINUTES'.
enum
{
  etsi_its_denm_msgs__msg__StationarySince__LESS_THAN15_MINUTES = 2
};

/// Constant 'EQUAL_OR_GREATER15_MINUTES'.
enum
{
  etsi_its_denm_msgs__msg__StationarySince__EQUAL_OR_GREATER15_MINUTES = 3
};

/// Struct defined in msg/StationarySince in the package etsi_its_denm_msgs.
/**
  * ==============================================================================
  * MIT License
  *
  * Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
  *
  * Permission is hereby granted, free of charge, to any person obtaining a copy
  * of this software and associated documentation files (the "Software"), to deal
  * in the Software without restriction, including without limitation the rights
  * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
  * copies of the Software, and to permit persons to whom the Software is
  * furnished to do so, subject to the following conditions:
  *
  * The above copyright notice and this permission notice shall be included in all
  * copies or substantial portions of the Software.
  *
  * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
  * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
  * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
  * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
  * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
  * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
  * SOFTWARE.
  * ==============================================================================
 */
typedef struct etsi_its_denm_msgs__msg__StationarySince
{
  /// --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
  /// python3
  ///   utils/codegen/codegen-py/asn1ToRosMsg.py
  ///   asn1/raw/denm_en302637_3/DENM-PDU-Descriptions.asn
  ///   asn1/raw/denm_en302637_3/cdd/ITS-Container.asn
  ///   -t
  ///   denm
  ///   -o
  ///   etsi_its_msgs/etsi_its_denm_msgs/msg
  /// ------------------------------------------------------------------------------
  /// --- ASN.1 Definition ---------------------------------------------------------
  /// StationarySince ::= ENUMERATED {lessThan1Minute(0), lessThan2Minutes(1), lessThan15Minutes(2), equalOrGreater15Minutes(3)}
  /// ------------------------------------------------------------------------------
  uint8_t value;
} etsi_its_denm_msgs__msg__StationarySince;

// Struct for a sequence of etsi_its_denm_msgs__msg__StationarySince.
typedef struct etsi_its_denm_msgs__msg__StationarySince__Sequence
{
  etsi_its_denm_msgs__msg__StationarySince * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} etsi_its_denm_msgs__msg__StationarySince__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // ETSI_ITS_DENM_MSGS__MSG__DETAIL__STATIONARY_SINCE__STRUCT_H_
