// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from etsi_its_denm_msgs:msg/AdverseWeatherConditionAdhesionSubCauseCode.idl
// generated code does not contain a copyright notice

#ifndef ETSI_ITS_DENM_MSGS__MSG__DETAIL__ADVERSE_WEATHER_CONDITION_ADHESION_SUB_CAUSE_CODE__STRUCT_H_
#define ETSI_ITS_DENM_MSGS__MSG__DETAIL__ADVERSE_WEATHER_CONDITION_ADHESION_SUB_CAUSE_CODE__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>


// Constants defined in the message

/// Constant 'MIN'.
enum
{
  etsi_its_denm_msgs__msg__AdverseWeatherConditionAdhesionSubCauseCode__MIN = 0
};

/// Constant 'MAX'.
enum
{
  etsi_its_denm_msgs__msg__AdverseWeatherConditionAdhesionSubCauseCode__MAX = 255
};

/// Constant 'UNAVAILABLE'.
enum
{
  etsi_its_denm_msgs__msg__AdverseWeatherConditionAdhesionSubCauseCode__UNAVAILABLE = 0
};

/// Constant 'HEAVY_FROST_ON_ROAD'.
enum
{
  etsi_its_denm_msgs__msg__AdverseWeatherConditionAdhesionSubCauseCode__HEAVY_FROST_ON_ROAD = 1
};

/// Constant 'FUEL_ON_ROAD'.
enum
{
  etsi_its_denm_msgs__msg__AdverseWeatherConditionAdhesionSubCauseCode__FUEL_ON_ROAD = 2
};

/// Constant 'MUD_ON_ROAD'.
enum
{
  etsi_its_denm_msgs__msg__AdverseWeatherConditionAdhesionSubCauseCode__MUD_ON_ROAD = 3
};

/// Constant 'SNOW_ON_ROAD'.
enum
{
  etsi_its_denm_msgs__msg__AdverseWeatherConditionAdhesionSubCauseCode__SNOW_ON_ROAD = 4
};

/// Constant 'ICE_ON_ROAD'.
enum
{
  etsi_its_denm_msgs__msg__AdverseWeatherConditionAdhesionSubCauseCode__ICE_ON_ROAD = 5
};

/// Constant 'BLACK_ICE_ON_ROAD'.
enum
{
  etsi_its_denm_msgs__msg__AdverseWeatherConditionAdhesionSubCauseCode__BLACK_ICE_ON_ROAD = 6
};

/// Constant 'OIL_ON_ROAD'.
enum
{
  etsi_its_denm_msgs__msg__AdverseWeatherConditionAdhesionSubCauseCode__OIL_ON_ROAD = 7
};

/// Constant 'LOOSE_CHIPPINGS'.
enum
{
  etsi_its_denm_msgs__msg__AdverseWeatherConditionAdhesionSubCauseCode__LOOSE_CHIPPINGS = 8
};

/// Constant 'INSTANT_BLACK_ICE'.
enum
{
  etsi_its_denm_msgs__msg__AdverseWeatherConditionAdhesionSubCauseCode__INSTANT_BLACK_ICE = 9
};

/// Constant 'ROADS_SALTED'.
enum
{
  etsi_its_denm_msgs__msg__AdverseWeatherConditionAdhesionSubCauseCode__ROADS_SALTED = 10
};

/// Struct defined in msg/AdverseWeatherConditionAdhesionSubCauseCode in the package etsi_its_denm_msgs.
/**
  * ==============================================================================
  * MIT License
  *
  * Copyright (c) 2023-2025 Institute for Automotive Engineering (ika), RWTH Aachen University
  *
  * Permission is hereby granted, free of charge, to any person obtaining a copy
  * of this software and associated documentation files (the "Software"), to deal
  * in the Software without restriction, including without limitation the rights
  * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
  * copies of the Software, and to permit persons to whom the Software is
  * furnished to do so, subject to the following conditions:
  *
  * The above copyright notice and this permission notice shall be included in all
  * copies or substantial portions of the Software.
  *
  * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
  * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
  * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
  * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
  * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
  * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
  * SOFTWARE.
  * ==============================================================================
 */
typedef struct etsi_its_denm_msgs__msg__AdverseWeatherConditionAdhesionSubCauseCode
{
  /// --- Auto-generated by https://github.com/ika-rwth-aachen/etsi_its_messages ---
  /// python3
  ///   utils/codegen/codegen-py/asn1ToRosMsg.py
  ///   asn1/raw/denm_en302637_3/DENM-PDU-Descriptions.asn
  ///   asn1/raw/denm_en302637_3/cdd/ITS-Container.asn
  ///   -t
  ///   denm
  ///   -o
  ///   etsi_its_msgs/etsi_its_denm_msgs/msg
  /// ------------------------------------------------------------------------------
  /// --- ASN.1 Definition ---------------------------------------------------------
  /// AdverseWeatherCondition-AdhesionSubCauseCode ::= INTEGER {unavailable(0), heavyFrostOnRoad(1), fuelOnRoad(2), mudOnRoad(3), snowOnRoad(4), iceOnRoad(5), blackIceOnRoad(6), oilOnRoad(7), looseChippings(8), instantBlackIce(9), roadsSalted(10)} (0..255)
  /// ------------------------------------------------------------------------------
  uint8_t value;
} etsi_its_denm_msgs__msg__AdverseWeatherConditionAdhesionSubCauseCode;

// Struct for a sequence of etsi_its_denm_msgs__msg__AdverseWeatherConditionAdhesionSubCauseCode.
typedef struct etsi_its_denm_msgs__msg__AdverseWeatherConditionAdhesionSubCauseCode__Sequence
{
  etsi_its_denm_msgs__msg__AdverseWeatherConditionAdhesionSubCauseCode * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} etsi_its_denm_msgs__msg__AdverseWeatherConditionAdhesionSubCauseCode__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // ETSI_ITS_DENM_MSGS__MSG__DETAIL__ADVERSE_WEATHER_CONDITION_ADHESION_SUB_CAUSE_CODE__STRUCT_H_
